
From: Jan Dittmer <jdittmer@ppp0.net>

module_param conversion for isapnp

Signed-off-by: Jan Dittmer <jdittmer@ppp0.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pnp/isapnp/core.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/pnp/isapnp/core.c~isapnp-module_param-conversion drivers/pnp/isapnp/core.c
--- 25/drivers/pnp/isapnp/core.c~isapnp-module_param-conversion	2004-11-13 17:56:56.465859128 -0800
+++ 25-akpm/drivers/pnp/isapnp/core.c	2004-11-13 17:56:56.469858520 -0800
@@ -58,13 +58,13 @@ int isapnp_verbose = 1;			/* verbose mod
 
 MODULE_AUTHOR("Jaroslav Kysela <perex@suse.cz>");
 MODULE_DESCRIPTION("Generic ISA Plug & Play support");
-MODULE_PARM(isapnp_disable, "i");
+module_param(isapnp_disable, int, 0);
 MODULE_PARM_DESC(isapnp_disable, "ISA Plug & Play disable");
-MODULE_PARM(isapnp_rdp, "i");
+module_param(isapnp_rdp, int, 0);
 MODULE_PARM_DESC(isapnp_rdp, "ISA Plug & Play read data port");
-MODULE_PARM(isapnp_reset, "i");
+module_param(isapnp_reset, int, 0);
 MODULE_PARM_DESC(isapnp_reset, "ISA Plug & Play reset all cards");
-MODULE_PARM(isapnp_verbose, "i");
+module_param(isapnp_verbose, int, 0);
 MODULE_PARM_DESC(isapnp_verbose, "ISA Plug & Play verbose mode");
 MODULE_LICENSE("GPL");
 
_
